SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Conditions of Use
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:normalize-space

fn:normalize-space() → string?

Function signature

Result | xs:string ?

Eliminates redundant spaces from the string value of the context item

XPath 2.0 Specification

fn:normalize-space( string? $srcval) → string?

Function signature

$srcval | xs:string ?
Result | xs:string ?

Eliminates redundant spaces from a string

XPath 2.0 Specification

Next